summaryrefslogtreecommitdiffstats
path: root/source/x/intel-vaapi-driver/intel-vaapi-driver.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/x/intel-vaapi-driver/intel-vaapi-driver.SlackBuild (renamed from source/x/libva-intel-driver/libva-intel-driver.SlackBuild)25
1 files changed, 16 insertions, 9 deletions
diff --git a/source/x/libva-intel-driver/libva-intel-driver.SlackBuild b/source/x/intel-vaapi-driver/intel-vaapi-driver.SlackBuild
index 17d51e9a5..15ed3265c 100755
--- a/source/x/libva-intel-driver/libva-intel-driver.SlackBuild
+++ b/source/x/intel-vaapi-driver/intel-vaapi-driver.SlackBuild
@@ -1,9 +1,7 @@
-#!/bin/sh
-
-# Slackware build script for libva-intel-driver
+#!/bin/bash
# Copyright 2015 Heinz Wiesinger, Amsterdam, The Netherlands
-# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,9 +21,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=libva-intel-driver
-VERSION=${VERSION:-$(echo libva-intel-driver-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
-BUILD=${BUILD:-1}
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=intel-vaapi-driver
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -35,6 +35,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:--j6}
if [ "$ARCH" = "i586" ]; then
@@ -51,7 +59,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -59,7 +66,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \